org.w3._2000._09.xmldsig

## Class SignatureProperties

- java.lang.Object
- - org.w3._2000._09.xmldsig.SignatureProperties

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class SignatureProperties
      extends Object
      implements Serializable

  Java class for SignaturePropertiesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SignaturePropertiesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}SignatureProperty" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `List<SignatureProperty>` | `getSignatureProperties()` Gets the value of the signatureProperties property.
    `void` | `setId(String value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignatureProperties

          public SignatureProperties()

  - ### Method Detail

    - #### getSignatureProperties

          public List<SignatureProperty> getSignatureProperties()

      Gets the value of the signatureProperties property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the signatureProperties property.

      For example, to add a new item, do as follows:

              getSignatureProperties().add(newItem);

      Objects of the following type(s) are allowed in the list `SignatureProperty`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.